EventForwarding (FreeMarker 2.3.35 API)
Description: declaration: package: freemarker.ext.jsp, class: EventForwarding

Package freemarker.ext.jsp

# Class EventForwarding

java.lang.Object
freemarker.ext.jsp.EventForwarding

All Implemented Interfaces:
  `EventListener`, `javax.servlet.http.HttpSessionAttributeListener`, `javax.servlet.http.HttpSessionListener`, `javax.servlet.ServletContextAttributeListener`, `javax.servlet.ServletContextListener`

public class EventForwarding extends Object implements javax.servlet.ServletContextAttributeListener, javax.servlet.ServletContextListener, javax.servlet.http.HttpSessionListener, javax.servlet.http.HttpSessionAttributeListener
An instance of this class should be registered as a `<listener>` in the `web.xml` descriptor in order to correctly dispatch events to event listeners that are specified in TLD files.

Note that there are two variants of this class: One for the legacy "javax" Servlet API in the `freemarker.ext``.jsp` package, and another for the newer Jakarta Servlet API in the `freemarker.ext``.jakarta.jsp` package (since 2.3.33). Use the variant that fits your Servlet container!

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventForwarding()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `attributeAdded​(javax.servlet.http.HttpSessionBindingEvent arg0)`
  `void`
  `attributeAdded​(javax.servlet.ServletContextAttributeEvent arg0)`
  `void`
  `attributeRemoved​(javax.servlet.http.HttpSessionBindingEvent arg0)`
  `void`
  `attributeRemoved​(javax.servlet.ServletContextAttributeEvent arg0)`
  `void`
  `attributeReplaced​(javax.servlet.http.HttpSessionBindingEvent arg0)`
  `void`
  `attributeReplaced​(javax.servlet.ServletContextAttributeEvent arg0)`
  `void`
  `contextDestroyed​(javax.servlet.ServletContextEvent arg0)`
  `void`
  `contextInitialized​(javax.servlet.ServletContextEvent arg0)`
  `void`
  `sessionCreated​(javax.servlet.http.HttpSessionEvent arg0)`
  `void`
  `sessionDestroyed​(javax.servlet.http.HttpSessionEvent arg0)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventForwarding

    public EventForwarding()

- ## Method Details

  - ### attributeAdded

    public void attributeAdded​(javax.servlet.ServletContextAttributeEvent arg0)
    Specified by:
      `attributeAdded` in interface `javax.servlet.ServletContextAttributeListener`

  - ### attributeRemoved

    public void attributeRemoved​(javax.servlet.ServletContextAttributeEvent arg0)
    Specified by:
      `attributeRemoved` in interface `javax.servlet.ServletContextAttributeListener`

  - ### attributeReplaced

    public void attributeReplaced​(javax.servlet.ServletContextAttributeEvent arg0)
    Specified by:
      `attributeReplaced` in interface `javax.servlet.ServletContextAttributeListener`

  - ### contextInitialized

    public void contextInitialized​(javax.servlet.ServletContextEvent arg0)
    Specified by:
      `contextInitialized` in interface `javax.servlet.ServletContextListener`

  - ### contextDestroyed

    public void contextDestroyed​(javax.servlet.ServletContextEvent arg0)
    Specified by:
      `contextDestroyed` in interface `javax.servlet.ServletContextListener`

  - ### sessionCreated

    public void sessionCreated​(javax.servlet.http.HttpSessionEvent arg0)
    Specified by:
      `sessionCreated` in interface `javax.servlet.http.HttpSessionListener`

  - ### sessionDestroyed

    public void sessionDestroyed​(javax.servlet.http.HttpSessionEvent arg0)
    Specified by:
      `sessionDestroyed` in interface `javax.servlet.http.HttpSessionListener`

  - ### attributeAdded

    public void attributeAdded​(javax.servlet.http.HttpSessionBindingEvent arg0)
    Specified by:
      `attributeAdded` in interface `javax.servlet.http.HttpSessionAttributeListener`

  - ### attributeRemoved

    public void attributeRemoved​(javax.servlet.http.HttpSessionBindingEvent arg0)
    Specified by:
      `attributeRemoved` in interface `javax.servlet.http.HttpSessionAttributeListener`

  - ### attributeReplaced

    public void attributeReplaced​(javax.servlet.http.HttpSessionBindingEvent arg0)
    Specified by:
      `attributeReplaced` in interface `javax.servlet.http.HttpSessionAttributeListener`